none
.Net Framework 3.5 en Windows 2008 RRS feed

  • Pregunta

  • Hola a todos,

    he estado teniendo algunos problemas con mi servidor. En específico con SQL Server 2012 y Windows Server 2008:

    El asunto es el siguiente: según leí en algún artículo, debo tener habilitado .net Framework 3.5 en Windows Server 2008 (NO ES R2) para poder enviar los correos electrónicos a mis operadores de bases de datos desde el Agente SQL Server. Si es cierto que necesito .net Framework 3.5 para que el agente pueda realizar esta tarea, me fui al panel de control, activar/desactivar características de Windows pero, no aparece por ningún lado activar esta versión del Framework.

    Por otro lado, revisando 'Programas y Características', veo que sí tengo instalada la versión 3.5.1. SP1, pero desde 'Activar/Desactivar Características' no puedo activarlo.

    ¿Hay alguna forma de hacerlo, vía CMD, PowerShell, etc? Ya llevo unas semanas lidiando con esto y no le veo solución.

    Desde ya muchas gracias.

    Saludos,


    Juan F.


    • Editado Juan C Farias M jueves, 6 de diciembre de 2018 22:41 Corrección menor
    jueves, 6 de diciembre de 2018 21:17

Respuestas

Todas las respuestas

  • Hola   Juan C Farias M

    Gracias por levantar tu consulta en los foros de MSDN. Con respecto a la misma, te recomiendo ingresar al siguiente enlace donde puedes encontrar una posible solución para tu problema.

    https://www.microsoft.com/es-es/download/details.aspx?id=21

    Gracias por usar los foros de MSDN.

    Pablo Rubio
     ____

    Por favor recuerde "Marcar como respuesta" las respuestas que hayan resuelto su problema, es una forma común de reconocer a aquellos que han ayudado, y hace que sea más fácil para los otros visitantes encontrar la solución más tarde. 

    Microsoft ofrece este servicio de forma gratuita, con la finalidad de ayudar a los usuarios y la ampliación de la base de datos de conocimientos relacionados con los productos y tecnologías de Microsoft.  

    Este contenido es proporcionado "tal cual" y no implica ninguna responsabilidad de parte de Microsoft.

    jueves, 6 de diciembre de 2018 23:32
    Moderador
  • Gracias por la respuesta...

    pero no solucionó mi "problema". Me explico:

    1. Desinstalé de mi Servidor Windows 2008, todos los .Net Framework que tenía, desde el 3.0, hasta el 4.6, con la finalidad de instalar únicamente la versión 3.5.1 (o 3.5 SP1).

    2. Ya que terminó la desinstalación, reinicié, y luego me di a la tarea de instalar la versión de .Net Framework que comento.

    3. Abro el administrador de Servidor, y bueno, sigue apareciendo como características instaladas el .Net Framework 3.0, cuando ya lo había desinstalado.

    La pregunta continua siendo, ¿por qué mi servidor no permite agregar características diferentes a .Net Framework 3.0?

    Windows Server 2008 SP2 (no es el R2).

    Cuento con su ayuda. Saludos.


    Juan F.

    viernes, 7 de diciembre de 2018 16:47
  • Hola  Juan C Farias M

    Dando seguimiento a tu pregunta, te comparto algunos procedimientos que puedes intentar.

    1. Revisa que tu sistema operativo cuente con las últimas actualizaciones.

    2. Actualiza a Windows server 2008 r2. 


    Espero que te sean de utilidad.

    Gracias por usar los foros de TechNet.

    Pablo Rubio
     ____

    Por favor recuerde "Marcar como respuesta" las respuestas que hayan resuelto su problema, es una forma común de reconocer a aquellos que han ayudado, y hace que sea más fácil para los otros visitantes encontrar la solución más tarde. 

    Microsoft ofrece este servicio de forma gratuita, con la finalidad de ayudar a los usuarios y la ampliación de la base de datos de conocimientos relacionados con los productos y tecnologías de Microsoft.  

    Este contenido es proporcionado "tal cual" y no implica ninguna responsabilidad de parte de Microsoft.


    viernes, 7 de diciembre de 2018 19:10
    Moderador
  • Entonces, supongo que lo adecuado sería hacer una instalación limpia de R2, cierto? Voy a valorarlo.

    Gracias.

    Saludos,

    JFM


    Juan F.

    viernes, 7 de diciembre de 2018 19:48
  • Hola "Juan C Farias M",

    + data

    De mi parte colaboro con:

    Troubleshoot blocked .NET Framework installations and uninstallations
    https://docs.microsoft.com/en-us/dotnet/framework/install/troubleshoot-blocked-installations-and-uninstallations

    Aplica:

    sfc /scannow

    Microsoft .NET Framework Repair Tool is available
    https://support.microsoft.com/en-us/help/2698555/microsoft-net-framework-repair-tool-is-available

    .NET Framework 2.0 SP1 and 3.0 SP1 repair options
    https://blogs.msdn.microsoft.com/astebner/2008/07/03/net-framework-2-0-sp1-and-3-0-sp1-repair-options-on-windows-vista-and-windows-server-2008/

    Saludos.
    domingo, 9 de diciembre de 2018 22:34
  • Pueda que requiera tener instalado el PowerShell 2. En el caso de 3.5 para Vista/2008 tenía que hacerse bajado del sitio de Microsoft.
    • Marcado como respuesta Juan C Farias M viernes, 28 de diciembre de 2018 16:20
    domingo, 9 de diciembre de 2018 22:55
  • Gracias a quienes respondieron.

    Lamentablemente no pude desbloquear el .Net Framework en mi servidor, haré la actualización a R2 y de nuevo, gracias.

    Saludos a todos,

    JFM


    Juan F.

    jueves, 13 de diciembre de 2018 18:12